<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 初期表示画面 (InitDis.jsp)
 *
 * version:      0.1, 2010.3.10 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyaku.plugIn.ui.MenuCreate.MENU_ITEMS" %>
<%@ include file="../../common/sys/var.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Initial Display</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
  <%
    StringBuilder sb = new StringBuilder();
    for (Map<String, String> mdt : commonMessage) {
      sb.append(mdt.get("plgId"));
      sb.append("-");
      sb.append(mdt.get("initId"));
      sb.append("\t");
    }
    List<Map<String, String>> msg2 = (List<Map<String, String>>)commonMessage.getWorkBuff();
    for (Map<String, String> mdt : msg2) {
      sb.append(mdt.get("plgId"));
      sb.append("-");
      sb.append(mdt.get("initId"));
      sb.append("\t");
    }
    if (sb.length() > 0) sb.setLength(sb.length() - 1);
  %>
  var names = "<%= sb.toString() %>";
  function init() {
	  if (names == "") return;
    var name = names.split("\t");
    for (var i = 0; i < name.length; i++) {
      load(name[i]);
      sleep(0.05);
    }
  }
  function load(name) {
    var elm = document.getElementById(name);
    var ihtml = elm.innerHTML;
    ihtml = ihtml.replace(/<!--|-->/g,"");
    elm.innerHTML = ihtml;
  }
  function sleep(T){
    var d1 = new Date().getTime();
    var d2 = new Date().getTime();
    while( d2 < d1+1000*T ){
       d2=new Date().getTime();
    }
    return;
  }

  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body onload="init()" bottomMargin="0" leftMargin="0" topMargin="0" rightMargin="0">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
  <tr>
    <td valign="top">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <htl:listItems fld0="icon" fld1="title" fld2="plgId" fld3="proc" fld4="act"
       fld5="opt" fld6="<%= ActionVal %>" fld7="initId">
        <tr>
          <td width="100%">
            <div class="pt"><IMG SRC="${fld0}" WIDTH="24" HEIGHT="24" ALIGN="middle" BORDER="0">&nbsp;${fld1}</div>
          </td>
        </tr>
        <tr>
          <td class="waku" width="100%"><span id="${fld2}-${fld7}">
          <!--
            <iframe src="${fld6}?pluginId=${fld2}&processId=${fld3}&action=${fld4}${fld5}"
             width="100%" height="150" frameborder="0" scrolling="auto"
             name="${fld2}_${fld7}" id="${fld2}_${fld7}"></iframe>
           --></span>
          </td>
        </tr>
      </htl:listItems>
      </table>
    </td>

    <%
      List<Map<String, String>> smlst = (List<Map<String, String>>)commonMessage.getWorkBuff();
      if (smlst.size() > 0) {
    %>
    <td width="30%" valign="top">
      <table border="0" cellpadding="0" cellspacing="1" width="100%">
        <% for (Map<String, String> dt : smlst) { %>
        <tr>
          <td width="100%">
            <div class="pt"><IMG SRC="<%= dt.get("icon") %>" WIDTH="24" HEIGHT="24" ALIGN="middle" BORDER="0">&nbsp;<%= dt.get("title") %></div>
        </tr>
        <tr>
          <td class="waku" width="100%"><span id="<%= dt.get("plgId") %>_<%= dt.get("initId") %>">
            <!--
            <iframe src="<%= ActionVal %>?pluginId=<%= dt.get("plgId") %>&processId=<%= dt.get("proc") %>&action=<%= dt.get("act") %><%= dt.get("opt") %>"
             width="98%" height="150" frameborder="0" scrolling="auto"
             name="<%= dt.get("plgId") %>_<%= dt.get("initId") %>" id="<%= dt.get("plgId") %>_<%= dt.get("initId") %>"></iframe>
              --></span>
          </td>
        </tr>
        <% } %>
      </table>
    </td>
    <% } %>
  </tr>
</table>
</body>
</html>