<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * グループ情報一覧表示画面 (GroupList.jsp)
 *
 * version:      0.1, 2010.5.18 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="../../common/sys/var.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Group List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:750px;dialogHeight:250px";
    var C_DIALOG_OPTL = "status:false;dialogWidth:750px;dialogHeight:500px";
    function add() {
      if(isClick == true){
        return;
      }
      url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=group&action=addini";
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        isClick = true;
        document.mainForm.pageAction.value = "get";
        document.mainForm.submit();
      }
    }

    function mod(ps) {
      if(isClick == true){
        return;
      }
      url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=group&action=modini&pos=";
      url += ps;
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        isClick = true;
        document.mainForm.pageAction.value = "same";
        document.mainForm.submit();
      }
    }

    function memchg(ps) {
      if(isClick == true){
        return;
      }
      url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=group&action=chgmemini&pos=";
      url += ps;
      retVal = showModalDialog(url, null, C_DIALOG_OPTL);
      if(typeof(retVal) != "undefined"){
        alert(retVal);
      }
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= MAIN_ID %>" pid="group" act="list" pageact="get" />

  <htl:hidden item="allGp" />

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="2">${hfn:getMsg("ttl.GroupList")}</td>
      <td align="right">
        <table class="button">
          <tr><td><a href="#" onclick="add(); return false;">${hfn:getMsg("btn.add")}</a></td></tr>
        </table>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>${hfn:getMsg("grl.ritm1")}</td>
      <td class="Rect"><htl:keyfld item="rgcd"/>${hfn:getMsg("grl.rcmt1")}</td>
      <td align="right">
        <table class="button">
          <tr><td><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">${hfn:getMsg("grl.item1")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("grl.item2")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("grl.item3")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("grl.item4")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("grl.item5")}</th>
    </tr>

    <htl:listItems fld0="<%= POS_NM %>" fld1="gcode" fld2="gname" fld3="manager" fld4="uname">
      <tr>
        <td noWrap width="100px">
          <a href="#" onClick="mod('${fld0}'); return(false);"><font class="key">${fld1}</font></a>
        </td>
        <td noWrap>${fld2}&nbsp;</td>
        <td noWrap>${fld3}&nbsp;</td>
        <td noWrap>${fld4}&nbsp;</td>
        <td width="70px">
          <table class="button">
            <tr><td><a href="#" onclick="memchg('${fld0}'); return false;">${hfn:getMsg("btn.establish")}</a></td></tr>
          </table>
        </td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>