<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * メッセージ一覧表示画面 (MessageList.jsp)
 *
 * version:      0.1, 2010.5.18 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="../../common/sys/var.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Message List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:100px;dialogHeight:50px";
    function del(ps) {
      if(isClick == true){
        return;
      }
      url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=message&action=delini&pos=";
      url += ps;
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        isClick = true;
        document.mainForm.pageAction.value = "same";
        document.mainForm.submit();
      }
    }

    function srch() {
      document.mainForm.pageAction.value = "get";
      document.mainForm.submit();
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= MAIN_ID %>" pid="message" act="list" pageact="get" />

  <htl:hidden item="allGp" />

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="2">${hfn:getMsg("ttl.MessageList")}</td>
      <td align="right">
        <table class="button">
          <tr><td><a href="#" onclick="srch(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">${hfn:getMsg("mgl.item1")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("mgl.item2")}</th>
    </tr>

    <% for (Map<String,String> dt : commonMessage) {
      int pno = Integer.parseInt(dt.get(POS_NM));
    %>
      <tr>
        <td noWrap><htl:listdsp name="contents" mpos="<%= dt %>" /></td>
        <td width="50px" align="center">
          <% if ("1".equals(dt.get("deldsp"))) { %>
          <table class="button">
            <tr><td><a href="#" onclick="del('<%= pno %>'); return false;">${hfn:getMsg("btn.delete2")}</a></td></tr>
          </table>
          <% } else { %>
          &nbsp;
          <% } %>
        </td>
      </tr>
		<% } %>
  </table>
  </div>
  </div>

</form>
</body>
</html>