<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 制御情報一覧表示画面 (PossibleList.jsp)
 *
 * version:      0.1, 2010.6.14 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="../../common/sys/var.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Possible List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:750px;dialogHeight:350px";
    function mod(ps) {
      if(isClick == true){
        return;
      }
      url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=possible&action=modini&pos=";
      url += ps;
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        isClick = true;
        document.mainForm.pageAction.value = "same";
        document.mainForm.submit();
      }
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= MAIN_ID %>" pid="possible" act="list" pageact="get" />

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="5">${hfn:getMsg("ttl.PossibleList")}</td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>${hfn:getMsg("psl.ritm1")}</td>
      <td class="Rect"><htl:keyfld item="rpid"/></td>
      <td class="titleDt" nowrap>${hfn:getMsg("psl.ritm2")}</td>
      <td class="Rect">
        <select name="rkbn">
          <htl:mst2opt tag="possKbn" item="rkbn"/>
        </select>
      </td>
      <td align="right">
        <table class="button">
          <tr><td width="120px" nowrap align="center"><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="100px" class="ListTitle">${hfn:getMsg("psl.item1")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("psl.item2")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("psl.item3")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("psl.item4")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("psl.item5")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("psl.item6")}</th>
    </tr>

    <htl:listItems fld0="<%= POS_NM %>" fld1="plugId" fld2="plugName" fld3="kbnDsp"
     fld4="keyValue" fld5="kdisp" fld6="possDsp">
      <tr>
        <td noWrap width="100px">
          <a href="#" onClick="mod('${fld0}'); return(false);"><font class="key">${fld1}</font></a>
        </td>
        <td noWrap>${fld2}&nbsp;</td>
        <td noWrap>${fld3}&nbsp;</td>
        <td noWrap>${fld4}&nbsp;</td>
        <td noWrap>${fld5}&nbsp;</td>
        <td noWrap>${fld6}&nbsp;</td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>