<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * ユーザー情報一覧表示画面 (UserList.jsp)
 *
 * version:      0.1, 2010.3.17 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="../../common/sys/var.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>User List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:750px;dialogHeight:350px";
    function add() {
      if(isClick == true){
        return;
      }
      url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=user&action=addini";
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        isClick = true;
        document.mainForm.pageAction.value = "get";
        document.mainForm.submit();
      }
    }

    function mod(ps) {
      if(isClick == true){
        return;
      }
      url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=user&action=modini&pos=";
      url += ps;
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        isClick = true;
        document.mainForm.pageAction.value = "same";
        document.mainForm.submit();
      }
    }

    function pwdinit(ps) {
      if(isClick == true){
        return;
      }
      url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=user&action=pwdinitini&pos=";
      url += ps;
      retVal = showModalDialog(url, null, C_DIALOG_OPT);
      if(typeof(retVal) != "undefined"){
        isClick = true;
        document.mainForm.pageAction.value = "same";
        document.mainForm.submit();
      }
    }

    function update() {
        if(isClick == true){
          return;
        }
        url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=user&action=modbundleini";
        retVal = showModalDialog(url, null, C_DIALOG_OPT);
        if(typeof(retVal) != "undefined"){
          isClick = true;
          document.mainForm.pageAction.value = "get";
          document.mainForm.submit();
        }
      }

    function excel() {
      var url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=user&action=excel";
      window.open(url, "UserList", 'width=50, height=30, menubar=no, toolbar=no, scrollbars=no');
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= MAIN_ID %>" pid="user" act="list" pageact="get" />

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle" colspan="2">${hfn:getMsg("ttl.UserList")}</td>
      <td colspan="2" align="right">
        <table class="button">
          <tr>
            <td id="space"></td>
          	<td width="120px" nowrap align="center"><a href="#" onclick="excel(); return false;">${hfn:getMsg("btn.excel")}</a></td>
		      	<td id="spacer"></td>
          	<td width="120px" nowrap align="center"><a href="#" onclick="update(); return false;">${hfn:getMsg("btn.batchmod")}</a></td>
			      <td id="spacer"></td>
          	<td width="120px" nowrap align="center"><a href="#" onclick="add(); return false;">${hfn:getMsg("btn.newadd")}</a></td>
		      </tr>
        </table>
      </td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>${hfn:getMsg("usl.ritm1")}</td>
      <td class="Rect"><htl:keyfld item="namae"/>${hfn:getMsg("usl.rcmt1")}</td>
      <td class="titleDt" nowrap>${hfn:getMsg("usl.ritm2")}</td>
      <td class="Rect"><htl:keyfld item="syozoku"/>${hfn:getMsg("usl.rcmt2")}</td>
    </tr>
    <tr class="input">
      <td class="titleDt" nowrap>${hfn:getMsg("usl.ritm3")}</td>
      <td class="Rect">
        <select name="riflg" >
          <htl:mst2opt tag="pwdIniFlg" item="riflg" blnk="y"/>
        </select>
      </td>
      <td colspan="2" align="right">
        <table class="button">
          <tr><td><a href="#" onclick="retrieve(); return false;">${hfn:getMsg("btn.search")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- ページコントロール --%>
  <table width="100%" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td><htl:listCntr /></td>
      <td align="right"><htl:dspPgEx imgpt="<%=BUTTON_DIR%>"/></td>
    </tr>
  </table>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap class="ListTitle">${hfn:getMsg("usl.item1")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("usl.item2")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("usl.item3")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("usl.item4")}</th>
      <th nowrap class="ListTitle" colspan="2">${hfn:getMsg("usl.item5")}</th>
    </tr>

    <% String BDIR = "#" + BUTTON_DIR; %>
    <htl:listItems fld0="<%= POS_NM %>" fld1="uid" fld2="uname" fld3="abbrev"
                   fld4="organization" fld5="pswini" fld6="<%= BDIR %>">
      <tr>
        <td noWrap>
          <a href="#" onClick="mod('${fld0}'); return(false);"><font class="key">${fld1}</font></a>
        </td>
        <td noWrap>${fld2}&nbsp;</td>
        <td noWrap>${fld3}&nbsp;</td>
        <td noWrap>${fld4}&nbsp;</td>
        <td noWrap>${fld5}&nbsp;</td>
        <td width="70px" align="center">
	        <table class="button">
	          <tr><td><a href="#" onclick="pwdinit('${fld0}'); return false;">${hfn:getMsg("btn.pwdinit")}</a></td></tr>
	        </table>
        </td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>