<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 登録済プラグイン一覧表示 (ExistList.jsp)
 *
 * version:      0.1, 2010.2.8 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="../../common/sys/var.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>existing plugin List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:650px;dialogHeight:300px";
    function del(pos) {
      if(isClick == true){
        return;
      }
      url = "<%= ActionVal %>?pluginId=<%= MAIN_ID %>&processId=plugin&action=delini";
      url += "&pos=";
      url += pos;
      dialogOption = C_DIALOG_OPT;
      retVal = showModalDialog(url, null, dialogOption);
      if(typeof(retVal) != "undefined"){
        isClick = true;
        document.mainForm.update.value = "no"
        document.mainForm.pageAction.value = "get"
        document.mainForm.submit();
      }
    }

    function isNum(fld) {
      var mseq = fld.value;
      var oval = document.mainForm.elements[fld.name + "_o"]
      if (mseq.match(/[^0-9]/g) || mseq.length > 4) {
        alert('${hfn:getMsg("exl.errmsg1")}' + mseq + '${hfn:getMsg("exl.errmsg2")}');
        fld.value = oval.value;
        return false;
      }
      oval.value = mseq;
      return true;
    }

    function mod() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.update.value = "yes"
      document.mainForm.pageAction.value = "same"
      document.mainForm.submit();
    }

  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body>
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= MAIN_ID %>" pid="plugin" act="existlist" pageact="get" />
  <htl:hidden item="update"/>

  <%-- タイトル --%>
  <htl:rectPre>
  <table align="center" width="98%">
    <tr>
      <td class="MainTitle">${hfn:getMsg("ttl.ExistList")}</td>
      <td>&nbsp;</td>
      <td width="90px"><font size="-1" color="#808080">${hfn:getMsg("exl.cmnt1")}</font></td>
    </tr>
    <tr>
      <td valign="bottom" colspan="2"><font color="blue"><b><%= message[0] %></b></font>&nbsp;</td>
      <td>
        <table class="button">
          <tr><td width="120px" nowrap align="center"><a href="#" onclick="mod(); return false;">${hfn:getMsg("btn.update")}</a></td></tr>
        </table>
      </td>
    </tr>
  </table>
  </htl:rectPre>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="1" cellpadding="0" cellspacing="1">
    <tr class="ListTitle" valign="bottom">
      <th nowrap width="35px">&nbsp;</th>
      <th nowrap width="60px">${hfn:getMsg("exl.item1")}</th>
      <th nowrap width="200px">${hfn:getMsg("exl.item2")}</th>
      <th nowrap width="100px">${hfn:getMsg("exl.item3")}</th>
      <th nowrap >${hfn:getMsg("exl.item4")}</th>
      <th nowrap width="60px">${hfn:getMsg("exl.item5")}</th>
      <th nowrap width="60px">&nbsp;</th>
    </tr>

    <htl:listItems fld0="icon" fld1="plgId" fld2="displayname" fld3="author"
     fld4="exposition" fld5="menuseq" fld6="<%= POS_NM %>">
      <tr>
        <td noWrap width="35px" align="center">
          <IMG SRC="${fld0}" WIDTH="32" HEIGHT="32" ALIGN="middle" BORDER="0">
        </td>
        <td noWrap width="60px">${fld1}</td>
        <td noWrap width="200px"><font class="key">${fld2}&nbsp;</font></td>
        <td noWrap width="100px">${fld3}&nbsp;</td>
        <td>${fld4}&nbsp;</td>
        <td noWrap width="60px">
          <input type="text" name="mseq${fld6}" value="${fld5}"
           onchange="isNum(this);" size="5" maxlength="4">
          <input type="hidden" name="mseq${fld6}_o" value="${fld5}">
          <input type="hidden" name="pldid${fld6}" value="${fld1}">
        </td>
        <td width="60px" align="center">
          <table class="button">
            <tr><td><a href="#" onclick="del('${fld6}'); return false;">${hfn:getMsg("btn.delete2")}</a></td></tr>
          </table>
        </td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>