<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * システムメニュー表示 (MenuIndex.jsp)
 *
 * version:      0.1, 2010.2.2 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ page import="com.hamaf.hikyaku.plugIn.ui.MenuCreate.MENU_ITEMS" %>
<%@ include file="../../common/sys/var.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>Left Main menu</title>
  <link href="<%= STYLE_DIR %>leftmenu.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var DEF_TARGET = "menuFrame";
    function menuSel(plg, proc, act, tgt) {
      var mainForm = document.mainForm;
      document.mainForm.pluginId.value = plg;
      document.mainForm.processId.value = proc;
      document.mainForm.action.value = act;
      if (tgt == "") tgt = DEF_TARGET;
      document.mainForm.target = tgt;
      document.mainForm.submit();
    }

    function ret() {
      var mainForm = document.mainForm;
      document.mainForm.pluginId.value = "<%= MAIN_ID %>";
      document.mainForm.processId.value = "retrieve";
      document.mainForm.action.value = "disp";
      document.mainForm.target = "contentsFrame";
      document.mainForm.submit();
    }

    var MENU_FRAME_WIDTH_ORG = 205;
    var MENU_FRAME_WIDTH_OFFSET = -2;
    var MENU_FRAME_WIDTH = MENU_FRAME_WIDTH_ORG + MENU_FRAME_WIDTH_OFFSET;
    var MENU_FRAME_SCROLL_SIZE = 17;
    var isOpen;

    function init(){
      isOpen = true;

      var menuBar = document.getElementById("menuBar");
      var menuBarImg = document.getElementById("menuBarImg");
      var menuTable = document.getElementById("menuTable");
      parent.document.getElementById("mainFrameSet").cols = getMenuWidth() + ",*";
      var pos = MENU_FRAME_WIDTH - menuBarImg.width;
      menuBar.style.left    = pos + "px";
      menuBar.style.width   = menuBarImg.width + "px";
      menuTable.width       = pos + "px";
    }

    function getMenuWidth(){
      var menuTable = document.getElementById("menuTable");
      menuWidth = MENU_FRAME_WIDTH_ORG;
      if(document.body.clientHeight < menuTable.scrollHeight) {
        menuWidth += MENU_FRAME_SCROLL_SIZE;
      }
      return menuWidth;
    }

    function barClick() {
      var menuBar = document.getElementById("menuBar");
      var menuBarImg = document.getElementById("menuBarImg");
      var menuTable = document.getElementById("menuTable");
      var menuWidth = MENU_FRAME_WIDTH + menuBarImg.width;

      if(MENU_FRAME_WIDTH > 0) {
        if(isOpen) {
          menuBar.style.left = "0px";
          parent.document.getElementById("mainFrameSet").cols = menuBarImg.width + "px,*";
          menuTable.style.visibility = "hidden";
          document.body.scroll = "no";
        } else {
          menuBar.style.left = menuTable.width + "px";
          parent.document.getElementById("mainFrameSet").cols = getMenuWidth() + "px,*";
          menuTable.style.visibility = "visible";
          document.body.scroll = "auto";
        }
        isOpen = !isOpen;
      }
    }

    function submitStop(e){
        if (!e) var e = window.event;

        if(e.keyCode == 13)
            return false;
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body onload="init();" leftmargin=3>

<div id="menuBar" style="position:absolute; height:100%; z_index:1; top:0" >
  <img src="<%= BUTTON_DIR %>menuBar.gif" border="0" name="menuBarImg" id="menuBarImg"
      onClick="barClick();" style="cursor:hand">
</div>

<form name="mainForm" target="menuFrame" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="" pid="" act="" pageact="get" />

<table id="menuTable" width="150px" border="0" cellspacing="1" cellpadding="0">
  <tr><td width="150px" style="font-size: 14px;" bgcolor="#ffffff"><htl:dispicon/><%= UNM %></td></tr>
  <tr><td width="150px" align="right">
      <img src="<%= BUTTON_DIR %>bs_kensaku.gif" alt="retrieve" BORDER="0"
         style="cursor: hand" onclick="ret(); return false;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
  </td></tr>
  <tr><td>
    <input name="sval" type="text" size="19" maxlength="30" onKeyPress="return submitStop(event);">
  </td></tr>
</table>
 <br>
 <div id="usrmenu">
   <table width="150px">
     <tr><th>${hfn:getMsg("mni.ttl1")}</th></tr>
     <htl:listItems fld0="icon" fld1="dsp" fld2="plgId" fld3="proc" fld4="act" fld5="tget">
       <tr>
         <td noWrap>
           <a href="#" onclick="menuSel('${fld2}','${fld3}','${fld4}','${fld5}');return false;">
           <IMG SRC="${fld0}" WIDTH="24" HEIGHT="24" ALIGN="middle" BORDER="0">&nbsp;${fld1}
           </a>
         </td>
       </tr>
     </htl:listItems>
   </table>
 </div>

  <%
  List<Map<String, String>> smlst = (List<Map<String, String>>)commonMessage.getWorkBuff();
  if (smlst != null && smlst.size() > 0) {
  %>
 <br>
  <div id="mngmenu">
   <table width="150px">
     <tr><th>${hfn:getMsg("mni.ttl2")}</th></tr>
     <% for (Map<String, String> dt : smlst) { %>
       <tr>
         <td noWrap>
           <a href="#" onclick="menuSel('<%= dt.get("plgId") %>','<%= dt.get("proc") %>','<%= dt.get("act") %>','<%= dt.get("tget") %>');return false;">
           <htl:listdsp name="dsp" mpos="<%= dt %>" />&nbsp;
           </a>
         </td>
       </tr>
     <% } %>
   </table>
 </div>
 <% } %>
 <br>
 <div id="commenu">
   <table width="150px">
     <tr><th>${hfn:getMsg("mni.ttl3")}</th></tr>
     <tr><td><a href="<%= ROOT_DIR %>/TopFrame.jsp" target="_top">トップ画面へ</a></td></tr>
     <tr><td><a href="<%= ROOT_DIR %>/index.jsp" target="_top">ログオフ</a></td></tr>
   </table>
 </div>

</form>
</body>
</html>