<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 新規登録用プラグイン一覧表示 (NewList.jsp)
 *
 * version:      0.1, 2010.2.2 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="../../common/sys/var.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <title>New Plugin List</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var C_DIALOG_OPT = "status:false;dialogWidth:650px;dialogHeight:300px";
    function add(img,id,nm,au,ex,cx,ps,dic,dif,gmd) {
      if(isClick == true){
        return;
      }
      url = "<%= ROOT_DIR %>/ComControl?pluginId=<%= MAIN_ID %>&processId=plugin&action=addini";
      dialogOption = C_DIALOG_OPT;
      var argObj = new Object();
      argObj.icon = img;
      argObj.id   = id;
      argObj.name = nm;
      argObj.author = au;
      argObj.exposition = ex;
      argObj.controlxmlpass = cx;
      argObj.infopass = ps;
      argObj.dicls = dic;
      argObj.difile = dif;
      argObj.getmode = gmd;

      retVal = showModalDialog(url, argObj, dialogOption);
      if(typeof(retVal) != "undefined"){
        isClick = true;
    	  document.forms[0].submit();
      }
    }
  </script>
</head>
<!--
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->

<body bottomMargin="1" leftMargin="1" topMargin="1" rightMargin="1">
<form name="mainForm" action="<%= ActionVal %>" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= MAIN_ID %>" pid="plugin" act="newlist" pageact="get" />

  <%-- タイトル --%>
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr><td class="MainTitle">${hfn:getMsg("ttl.NewList")}</td></tr>
  </table>
  </htl:rectPre>

  <%-- 一覧表示 --%>
  <div id="div" class="input">
  <div id="waku">
  <table align="center" class="ViewTable"  width="98%" border="0" cellpadding="0" cellspacing="1" >
    <tr>
      <th nowrap width="32px" class="ListTitle">&nbsp;</th>
      <th nowrap width="30px" class="ListTitle">${hfn:getMsg("nwl.item1")}</th>
      <th nowrap width="200px" class="ListTitle">${hfn:getMsg("nwl.item2")}</th>
      <th nowrap width="80px" class="ListTitle">${hfn:getMsg("nwl.item3")}</th>
      <th nowrap class="ListTitle">${hfn:getMsg("nwl.item4")}</th>
      <th nowrap width="20px" class="ListTitle">&nbsp;</th>
    </tr>

    <htl:listItems fld0="icon" fld1="plgId" fld2="displayname" fld3="author" fld4="exposition"
     fld5="controlxmlpass" fld6="infopass" fld7="diclass" fld8="difile" fld9="controlgetmode">
      <tr>
        <td noWrap width="20px" align="center">
          <IMG SRC="${fld0}" WIDTH="32" HEIGHT="32" ALIGN="middle" BORDER="0">
        </td>
        <td noWrap width="30px">${fld1}</td>
        <td noWrap width="200px"><font class="key">${fld2}&nbsp;</font></td>
        <td noWrap width="80px">${fld3}&nbsp;</td>
        <td>${fld4}&nbsp;</td>
        <td noWrap width="20px" align="center">
          <table class="button">
            <tr><td><a href="#" onclick="add('${fld0}','${fld1}','${fld2}','${fld3}','${fld4}','${fld5}','${fld6}','${fld7}','${fld8}','${fld9}'); return false;">${hfn:getMsg("btn.add2")}</a></td></tr>
          </table>
        </td>
      </tr>
    </htl:listItems>
  </table>
  </div>
  </div>

</form>
</body>
</html>