<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * グループ・メンバー情報の更新 (GroupMember.jsp)
 *
 * version:      0.1, 2010.5.19 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="../../common/sys/var.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Pragma" content="no-cache">
  <title>Modify Group information</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script src="<%= JS_DIR %>hikyaku.js"></script>
  <script language="JavaScript">
    var isClick = false;
    function init() {
      window.name = "groupMem"

      var imod  = "<%= commonMessage.getResMsg("GrpMemMod") %>";
      if (imod == "1") {
        window.returnValue = "<%= commonMessage.getResMsg("GrpMemModInf") %>";
        self.window.close();
        return;
      }

      userDisp();
      groupDisp();
    }

    function regist() {
      if(isClick == true){
        return;
      }
      isClick = true;
      document.mainForm.submit();
    }

    function cansel() {
      if(isClick == true){
        return;
      }
      self.window.close();
    }

    function userSel() {
      if(isClick == true){
        return;
      }
      commonSelect("<%= MAIN_ID %>","sel.grpusr","V_USER_SEL","0","1","0","","",
            "uids","uvals","","","","");
      userDisp();
    }

    function userDisp() {
    	var orgDt = document.mainForm.uvals.value;
      if (orgDt.length == 0) return;
    	mainForm.userdsp.value = orgDt.split(",").join("\n");
    }

    function groupSel() {
      if(isClick == true){
        return;
      }
      commonSelect("<%= MAIN_ID %>","sel.grpchl","#groupSelect","0","1","0",mainForm.gid.value,"",
            "cgids","cgvals","","","","");
      groupDisp();
    }

    function groupDisp() {
      var orgDt = document.mainForm.cgvals.value;
      if (orgDt.length == 0) return;
      document.mainForm.groupdsp.value = orgDt.split(",").join("\n");
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();">
<form name="mainForm" action="<%= ActionVal %>" target="groupMem" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= MAIN_ID %>" pid="group" act="chgmem" pageact="get" />

  <htl:hidden item="gid"/>
  <htl:hidden item="dispGroup"/>

  <htl:rectPre>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr><td colspan="4" class="MainTitle">${hfn:getMsg("ttl.GroupMod")}</td></tr>
    <tr><td colspan="4" class="input">　（<htl:dispitem item="dispGroup"/>）</td></tr>
    <tr><td colspan="4" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <td width="120px" nowrap align="center"><a href="#" onclick="regist(); return false;">${hfn:getMsg("btn.add")}</a></td>
      <td id="spacer"></td>
      <td width="120px" nowrap align="center"><a href="#" onclick="cansel(); return false;">${hfn:getMsg("btn.cansel")}</a></td>
    </tr>
  </table>
  </htl:rectPre>

  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <br>
  <div id="user" class="input">
    <div id="waku">
    <table width="100%" border="0" cellspacing="0" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt">${hfn:getMsg("gmc.user")}</td>
       <td width="30px" align="right">
         <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="userSel(); return false;">
       </td>
     </tr>
     <tr>
       <td class="Rect" colspan="2">
         <htl:textarea item="userdsp" rows="7" cols="65" read="only"/>
         <htl:hidden item="uids"/>
         <htl:hidden item="uvals"/>
       </td>
     </tr>
    </table>
    </div>
  <br>
    <div id="waku">
    <table width="100%" border="0" cellspacing="0" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt">${hfn:getMsg("gmc.group")}</td>
       <td width="30px" align="right">
         <img src="<%= BUTTON_DIR %>btn_sentaku.gif" class="hand" onclick="groupSel(); return false;">
       </td>
     </tr>
     <tr>
       <td class="Rect" colspan="2">
         <htl:textarea item="groupdsp" rows="7" cols="65" read="only"/>
         <htl:hidden item="cgids"/>
         <htl:hidden item="cgvals"/>
       </td>
     </tr>
    </table>
    </div>
  </div>

</form>
</body>
</html>
