<%
response.setHeader("Expires", "-1");
response.setHeader("Pragma","no-cache");
response.setHeader("Cache-Control","no-cache");
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%--
 ********************************************************************************
 *
 * 新規ユーザー情報の登録 (UserAdd.jsp)
 *
 * version:      0.1, 2010.3.17 新規
 ********************************************************************************
 --%>
<%@ page contentType="text/html; charset=utf-8" %>
<%@ include file="../../common/sys/var.jsp" %>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Pragma" content="no-cache">
  <title>Add user information</title>
  <link href="<%= STYLE_DIR %>Common.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>default.css" type="text/css" rel="stylesheet">
  <link href="<%= STYLE_DIR %>rectpre.css" type="text/css" rel="stylesheet">

  <script language="JavaScript">
    var isClick = false;
    function init() {
      window.name = "addUser"

      var imod  = "<%= commonMessage.getResMsg("UserAdd") %>";
      if (imod == "1") {
        window.returnValue = '${hfn:getMsg("uad.retmsg")}';
        self.window.close();
        return;
      }
    }

    function regist() {
      if(isClick == true){
        return;
      }
      isClick = true;

      document.mainForm.submit();
    }
    function cansel() {
      if(isClick == true){
        return;
      }
      self.window.close();
    }
  </script>
</head>

<!-- Debug
  <%//= commonMessage.toErrorString() %>
  <%//= commonMessage.toRequestString() %>
  <%//= commonMessage.toResponseString() %>
-->
<body onload="init();">
<form name="mainForm" action="<%= ActionVal %>" target="addUser" method="POST" enctype="application/x-www-form-urlencoded">
  <htl:comfld plg="<%= MAIN_ID %>" pid="user" act="add" pageact="get" />

	<htl:hidden item="kbn"/>

  <%-- タイトル --%>
  <htl:rectPre>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
    <tr><td colspan="4" class="MainTitle">${hfn:getMsg("ttl.UserAdd")}</td></tr>
    <tr><td colspan="4" id="spaceline"></td></tr>
    <tr class="button">
      <td id="space"></td>
      <td width="120px" nowrap align="center"><a href="#" onclick="regist(); return false;">${hfn:getMsg("btn.add")}</a></td>
      <td id="spacer"></td>
      <td width="120px" nowrap align="center"><a href="#" onclick="cansel(); return false;">${hfn:getMsg("btn.cansel")}</a></td>
    </tr>
  </table>
  </htl:rectPre>

  <font color="red">
    <%= message[0] %><%= message[1] %><%= message[2] %><%= message[3] %><%= message[4] %>
  </font>

  <div id="booth" class="input">
    <div id="waku">
    <table width="100%" border="0" cellspacing="1" bgcolor="#FFFFFF">
     <tr>
       <td class="titleDt" nowrap width="35%"><div class="hissu_asta">${hfn:getMsg("uad.item1")}</div></td>
       <td class="Rect">
         <htl:textbody item="uid" cls="textStr" size="37" maxlength="100">${hfn:getMsg("uad.cmnt1")}</htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="35%"><div class="hissu_asta">${hfn:getMsg("uad.item2")}</div></td>
       <td class="Rect">
         <htl:textbody item="uname" cls="textStr" size="40" maxlength="100">${hfn:getMsg("uad.cmnt2")}</htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="35%">${hfn:getMsg("uad.item3")}</td>
       <td class="Rect">
         <htl:textbody item="abbrev" cls="textStr" size="40" maxlength="100">${hfn:getMsg("uad.cmnt3")}</htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="35%">${hfn:getMsg("uad.item4")}</td>
       <td class="Rect">
         <htl:textbody item="contact" cls="textStr" size="40" maxlength="250">${hfn:getMsg("uad.cmnt4")}</htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="35%"><div class="hissu_asta">${hfn:getMsg("uad.item5")}</div></td>
       <td class="Rect">
         <htl:textfld item="mail" cls="textStr" size="40" maxlength="100" />
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="35%">${hfn:getMsg("uad.item6")}</td>
       <td class="Rect">
         <htl:textbody item="organization" cls="textStr" size="40" maxlength="250">${hfn:getMsg("uad.cmnt5")}</htl:textbody>
       </td>
     </tr>
     <tr>
       <td class="titleDt" nowrap width="35%">${hfn:getMsg("uad.item7")}</td>
       <td class="Rect">
         <select name="admin">
            <htl:mst2opt tag="admin" item="admin"/>
         </select>

       </td>
     </tr>
     <tr><td colspan="2"><font color="red" size="-1">*</font>&nbsp;${hfn:getMsg("uad.cmnt6")}</td></tr>
      </table>
    </div>
  </div>

</form>
</body>
</html>
